GoodInboxes Developers
API reference

List inboxes

GET
/api/v1/inboxes

Read purchased and preorder inbox records without exposing credentials.

Required scope: inboxes:read.

Authorization

bearerAuth
headerAuthorizationBearer <token>

Scoped GoodInboxes API token

Query Parameters

limit?integer

1–100 items; defaults to 20.

Range1 <= value <= 100
Default20
cursor?string

Opaque nextCursor from the previous page.

Response Body

data.items[] and data.nextCursor

application/json
  1. response
data*
requestId?string
curl -X GET "https://example.com/api/v1/inboxes"
{  "data": {    "items": [      {}    ],    "nextCursor": "string"  },  "requestId": "string"}